Description

We have:

Proc.new{l|a, b, ¢, d, el}.arity # => 5

Matz decided [ruby-core:46515] we also have:

Proc.new{la, b, ¢, d, e=0|}.arity # => 4

It looks like we currently have:

Proc.new{l|a, b=0, ¢, d, el}.arity # => 1, should be same as above

Hopefully there won't be disagreement that this is a bug?

I'm asking in particular because there was a specific test committed by Yui to that effect. | hope this was just an oversight?
assert_equal (0, proc{|x=0, yl|}.arity) # Should be 1, not O. test/ruby/test_proc.rb:67
My patch is ready and | will commit it unless there is objection.

https://github.com/marcandre/ruby/compare/marcandre:trunk...marcandre:proc_curry

Associated revisions

Revision 83610815d4ec34b3d5528aa8dbc6c4ad75c7ed92 - 02/01/2013 10:46 PM - Marc-Andre Lafortune

e proc.c: Add {*}_min_max_arity and refactor.
[Bug #7765]

¢ test/ruby/test_proc.rb: Fix wrong test

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39007 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 83610815 - 02/01/2013 10:46 PM - Marc-Andre Lafortune

e proc.c: Add {*}_min_max_arity and refactor.
[Bug #7765]

¢ test/ruby/test_proc.rb: Fix wrong test

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39007 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/02/2013 07:46 AM - marcandre (Marc-Andre Lafortune)
- Status changed from Open to Closed
- % Done changed from 0 to 100
bugs.ruby-lang.org/issues/5694
https://github.com/marcandre/ruby/compare/marcandre:trunk...marcandre:proc_curry

This issue was solved with changeset r39007.
Marc-Andre, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e proc.c: Add {*}_min_max_arity and refactor.

[Bug #7765]

o test/ruby/test_proc.rb: Fix wrong test
